petsc-3.12.4 2020-02-04
Report Typos and Errors

# PetscPartitionerSetType

Builds a particular PetscPartitioner

### Synopsis

    #include "petscdmplex.h"
    PetscErrorCode PetscPartitionerSetType(PetscPartitioner part, PetscPartitionerType name)

Collective on part

### Input Parameters

| part | - The PetscPartitioner object
| name | - The kind of partitioner

### Options Database Key

-petscpartitioner_type <type> -Sets the PetscPartitioner type; use -help for a list of available types

### See Also

PetscPartitionerGetType(), PetscPartitionerCreate()

### Level

intermediate

### Location

src/dm/impls/plex/plexpartition.c

### Examples

src/dm/field/examples/tutorials/ex1.c.html
src/snes/examples/tutorials/ex62.c.html
src/snes/examples/tutorials/ex77.c.html
Index of all DMPLEX routines
Table of Contents for all manual pages
Index of all manual pages